## org.apache.commons.math.transform
Interface RealTransformer

All Known Implementing Classes:
  FastCosineTransformer, FastHadamardTransformer, FastSineTransformer

    public interface RealTransformer

Interface for one-dimensional data sets transformations producing real results.

Such transforms include `sine transform`, `cosine transform` or `Hadamard transform`. `Fourier transform` is of a different kind and does not implement this interface since it produces `complex` results instead of real ones.

Since:
  2.0
Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double[]` `inversetransform(double[] f)` Inversely transform the given real data set.
`double[]` `inversetransform(UnivariateRealFunction f, double min, double max, int n)` Inversely transform the given real function, sampled on the given interval.
`double[]` `transform(double[] f)` Transform the given real data set.
`double[]` `transform(UnivariateRealFunction f, double min, double max, int n)` Transform the given real function, sampled on the given interval.

Method Detail

### transform

    double[] transform(double[] f)
                       throws java.lang.IllegalArgumentException

  Transform the given real data set.

  Parameters:
    `f` - the real data array to be transformed (signal)
  Returns:
    the real transformed array (spectrum)
  Throws:
    `java.lang.IllegalArgumentException` - if any parameters are invalid

### transform

    double[] transform(UnivariateRealFunction f,
                       double min,
                       double max,
                       int n)
                       throws FunctionEvaluationException,
                              java.lang.IllegalArgumentException

  Transform the given real function, sampled on the given interval.

  Parameters:
    `f` - the function to be sampled and transformed
    `min` - the lower bound for the interval
    `max` - the upper bound for the interval
    `n` - the number of sample points
  Returns:
    the real transformed array
  Throws:
    `FunctionEvaluationException` - if function cannot be evaluated at some point
    `java.lang.IllegalArgumentException` - if any parameters are invalid

### inversetransform

    double[] inversetransform(double[] f)
                              throws java.lang.IllegalArgumentException

  Inversely transform the given real data set.

  Parameters:
    `f` - the real data array to be inversely transformed (spectrum)
  Returns:
    the real inversely transformed array (signal)
  Throws:
    `java.lang.IllegalArgumentException` - if any parameters are invalid

### inversetransform

    double[] inversetransform(UnivariateRealFunction f,
                              double min,
                              double max,
                              int n)
                              throws FunctionEvaluationException,
                                     java.lang.IllegalArgumentException

  Inversely transform the given real function, sampled on the given interval.

  Parameters:
    `f` - the function to be sampled and inversely transformed
    `min` - the lower bound for the interval
    `max` - the upper bound for the interval
    `n` - the number of sample points
  Returns:
    the real inversely transformed array
  Throws:
    `FunctionEvaluationException` - if function cannot be evaluated at some point
    `java.lang.IllegalArgumentException` - if any parameters are invalid

Copyright (c) 2003-2010 Apache Software Foundation